### 说明

1. 目前支持参数中使用Object类型( 多参数仍在开发中 )，例如： 

   ```JavaScript
   httpRequest({ url: '', data: {} })
   ```

2. 使用方法：

   1. 安装s-swagger-auto-api

      ```JavaScript
      npm install npm install s-swagger-auto-api -D
      ```

   2. 在项目跟目录创建autoApiConfig.js

      ```JavaScript
      module.exports = {
          importTemplate: "import { testHttp } from '@/utils/axios'", //引入函数
          template: [ //代码模板
              '',
              '/**',
              ` * @description: 登录前置`,
              ` */`,
              'function preLogin(params) {',
              '    return testHttp.httpRequest({  method: "post", url: ``, data: {params} })',
              '}',
              ''
          ],
          url: 'http://192.168.33.22:15500/v3/api-docs' //后端swagger地址
      }
      ```

   3. 增加快捷指令（非必须，只是为了方便，也可以在控制台执行 cd node_modules/s-swagger-auto-api && node index.js）

      ```JavaScript
      在package.json中增加
      "scripts": {
          "createapi": "node node_modules/s-swagger-auto-api index.js"
      }
      ```

   4. 执行npm run createapi命令代码会在src/api目录中生成



### 注意事项

定义autoApiConfig.js的template时需要使用模板字符串，否则路径中的参数不会变成动态变量



### 运行环境要求

node版本 >14